import {NgModule} from "@angular/core";
import {EditStakeholderComponent} from "./edit-stakeholder.component";
import {CommonModule} from "@angular/common";
import {InputModule} from "../../openaireLibrary/sharedComponents/input/input.module";
import {ReactiveFormsModule} from "@angular/forms";
import {IconsModule} from "../../openaireLibrary/utils/icons/icons.module";
import {IconsService} from "../../openaireLibrary/utils/icons/icons.service";
import {cloud_upload, edit, remove} from "../../openaireLibrary/utils/icons/icons";
import {NotifyFormModule} from "../../openaireLibrary/notifications/notify-form/notify-form.module";
import {
  AdvancedSearchInputModule
} from "../../openaireLibrary/sharedComponents/advanced-search-input/advanced-search-input.module";

@NgModule({
  imports: [CommonModule, InputModule, ReactiveFormsModule, IconsModule, NotifyFormModule, AdvancedSearchInputModule],
  declarations: [EditStakeholderComponent],
  exports: [EditStakeholderComponent]
})
export class EditStakeholderModule {
  constructor(private iconsService: IconsService) {
    this.iconsService.registerIcons([remove, edit, cloud_upload]);
  }
}
